### Method

# SpiceClientGLib QmpPort vm_action_async

since: 0.36

#### Declaration [src]

    void
    spice_qmp_port_vm_action_async (
      SpiceQmpPort* self,
      SpiceQmpPortVmAction action,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Request the VM to perform an action.

Available since: 0.36

This method completes asynchronously. Use `spice_qmp_port_vm_action_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`action`

  Type: `SpiceQmpPortVmAction`

  A VM action.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when the action is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.